Subject: [bug#28832] [PATCH 1/3] gnu: Add emacs-json-reformat.

From: Oleg Pykhalov <[email-masked]>
Date: Tue, 19 Dec 2017 14:07:05 +0300

Hello Alex,

Alex Kost <[email-masked]> writes:

[...]

> "emacs" and "source" may not be the only inputs that should be deleted.
> For example, 'emacs-exwm-x' package also has "xhost" and "dbus" inputs.
> And your 'string-drop-emacs' will fail on these names, right?
>
> Since there is 'emacs-package?' function in this module, perhaps it
> would be better to use it instead (to add only emacs packages to
> EMACSLOADPATH), WDYT?

Yes, this is why I used 'emacs-inputs'.  It evaluates 'emacs-package?'
as I see.  So we peek only "/gnu/store/…-emacs-" packages.

[...]

Thanks,
Oleg.